include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)

##### kanagram (executable)

tde_add_executable( kanagram AUTOMOC

  SOURCES
        mainsettingswidget.ui
        vocabsettingswidget.ui
        vocabeditwidget.ui
        newstuffwidget.ui
        main.cpp
        kanagram.cpp
        kanagramgame.cpp
        fontutils.cpp
        mainsettings.cpp
        vocabsettings.cpp
        vocabedit.cpp
        keduvocdocument.cpp
        keduvocexpression.cpp
        keduvockvtmlreader.cpp
        keduvockvtmlwriter.cpp
        leitnerbox.cpp
        leitnersystem.cpp
        multiplechoice.cpp
        grammarmanager.cpp
        leitnersystemview.cpp
        newstuffdialog.cpp
        newstuff.cpp
        kanagramsettings.kcfgc
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdenewstuff-shared
     ${ARTSKDE_LIBRARIES}

  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons

tde_install_icons( )


##### other data

tde_create_translated_desktop( kanagram.desktop )

install(
    FILES kanagram.kcfg
    DESTINATION ${KCFG_INSTALL_DIR}
)
